"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
const jsxRuntime = require("react/jsx-runtime");
const React = require("react");
const Box = require("../../node_modules/.pnpm/@mantine_core@7.17.8_patch_hash_3qirwkgu3wxhvd6hnr2gb24yzq_@mantine_hooks@7.17.8_react@18.3.1_e5yvlgwhmeykc75dkphi7jou6q/node_modules/@mantine/core/esm/core/Box/Box.cjs");
const IconArrowBlockUp = (props, ref) => {
  return /* @__PURE__ */ jsxRuntime.jsx(
    "svg",
    {
      width: "1em",
      height: "1em",
      viewBox: "0 0 16 16",
      fill: "none",
      xmlns: "http://www.w3.org/2000/svg",
      strokeWidth: "1.5",
      ref,
      ...props,
      children: /* @__PURE__ */ jsxRuntime.jsx(
        "path",
        {
          d: "M6.53337 14C6.34669 14 6.25335 14 6.18204 13.9637C6.11932 13.9317 6.06833 13.8807 6.03637 13.818C6.00004 13.7467 6.00004 13.6534 6.00004 13.4667V6.66667H3.33337L8.00004 2L12.6667 6.66667H10V13.4667C10 13.6534 10 13.7467 9.96371 13.818C9.93175 13.8807 9.88076 13.9317 9.81804 13.9637C9.74673 14 9.65339 14 9.46671 14H6.53337Z",
          stroke: "currentColor",
          strokeLinecap: "round",
          strokeLinejoin: "round",
          strokeWidth: "inherit"
        }
      )
    }
  );
};
const ForwardRef = React.forwardRef(IconArrowBlockUp);
const ArrowBlockUp = React.forwardRef((props, ref) => {
  if (typeof props.size === "number") {
    const { size, ...rest } = props;
    props = {
      ...rest,
      w: size,
      h: size
    };
  }
  return /* @__PURE__ */ jsxRuntime.jsx(
    Box.Box,
    {
      ref,
      ...props,
      component: ForwardRef,
      className: ["tiui-icon", "ArrowBlockUp", props.className].join(" ")
    }
  );
});
ArrowBlockUp.displayName = "IconArrowBlockUp";
exports.default = ArrowBlockUp;
